Linux 中安装、升级、配置 Swoole 扩展

# 下载Swoole
wget http://pecl.php.net/get/swoole-4.5.2.tgz
tar -zxvf swoole-4.5.2.tgz
cd swoole-4.5.2

# 安装相关依赖
yum -y install gcc gcc-c++ autoconf pcre-devel make

# 编译安装,会自动放到默认的扩展目录
phpize
./configure --enable-openssl --enable-http2
make && sudo make install

# 定位配置文件路径
php -i | grep php.ini
# 或者
php --ini
# 或者
locate php.ini

# 打开配置文件
vim yourpath/php.ini

# php.ini 中启用扩展
extension=swoole.so

# 查看是否安装成功
php --ri swoole
# 或者(-m有可能不会出现Swoole扩展信息)
php -m


PECL 安装

pecl install swoole

# php.ini 中启用扩展
extension=swoole.so

从源码编译升级

步骤与从源码编译安装一致。
不需要卸载或者删除旧版本 Swoole,安装过程会覆盖旧版本。

PECL 升级

pecl upgrade swoole


#pecl install swoole 报错 openssl 错误

增加参数方式

pecl install swoole 可以设置项目后使用参数

enable sockets supports? [no] : yes
enable openssl support? [no] : yes --with-openssl-dir=/usr/local/include/openssl
enable http2 support? [no] : yes
enable mysqlnd support? [no] : yes